
jQuery(function() {
    // 取消冒泡
    function cancelbuble(e) {
        if (e && e.stopPropagation) {
            //W3C取消冒泡事件
            e.stopPropagation();
        } else {
            //IE取消冒泡事件
            window.event.cancelBubble = true;
        }
    }

    /*-- 搜索 --*/
    jQuery('.search').on('click', function(event) {
        cancelbuble(event)
        jQuery('.menu .menu-list-content').fadeOut('slow')
        jQuery('.search-input-hull').fadeIn('slow')
        jQuery(this).fadeOut('slow')
        jQuery('#nav-search-ipt').focus()
    })


    /*-- 关闭搜索框 --*/
    jQuery('.search-input-hull .search-cancel').on('click', function(event) {
        cancelbuble(event)
        jQuery(this).parent().fadeOut('slow')
        jQuery('.menu .menu-list-content').fadeIn('slow')
        jQuery('.search').fadeIn('slow')
        jQuery('.search-content-list').empty()
        jQuery('.correl-link').addClass('hide')
        jQuery('#nav-search-ipt').val('')
    })
    jQuery('#nav-search-ipt').on('click', function(event) {
        cancelbuble(event)
    })

    jQuery('body').on('click', function() {
            jQuery('.menu .menu-list-content').fadeIn('slow')
            jQuery('.search').fadeIn('slow')
            jQuery('.search-content-list').empty()
            jQuery('.correl-link').addClass('hide')
            jQuery('#nav-search-ipt').val('')
            jQuery('.search-input-hull').fadeOut('slow')
            jQuery('.menu-list-content').fadeIn('slow')
    })

    /*-- 关闭消息盒子 --*/
    var tag = true
    jQuery('.user-center .message-vime .message-list').on('click', function(event) {
        cancelbuble(event)
        if (tag == true) {
            jQuery(this).parent('.message-vime').addClass('current-style')
            jQuery(this).parent('.message-vime').find('.message-box').removeClass('hide')
            tag = false
        } else if (tag == false) {
            jQuery(this).parent('.message-vime').removeClass('current-style')
            jQuery(this).parent('.message-vime').find('.message-box').addClass('hide')
            tag = true
        }
    })

    jQuery(document).on('click', function(event) {
        jQuery('.message-box').addClass('hide')
        jQuery('.message-vime').removeClass('current-style')
        tag = true
    })

})